Bug 1671667 - refresh f29 fedora-toolbox container (still pre-release image)
Summary: refresh f29 fedora-toolbox container (still pre-release image)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-toolbox
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 08:37 UTC by Jens Petersen
Modified: 2019-03-05 11:18 UTC (History)
2 users (show)

Fixed In Version: fedora-toolbox-28-2 fedora-toolbox-29-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-01 15:17:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2019-02-01 08:37:30 UTC
Description of problem:
Can the fedora-toolbox container image be refreshed?
Particularly the one for F29 is still pre-release
(ie it has updates-testing enabled...)

Steps to Reproduce:
1. On f29: fedora-toolbox create; fedora-toolbox enter
2. dnf install ...

Actual results:
2. uses updates-testing repo


Expected results:
2. not use updates-testing

Additional info:
It would be nice if fedora containers were updated automatically regularly...

Comment 1 Debarshi Ray 2019-02-01 12:32:11 UTC
Oh, that's a good observation. Thanks for the heads-up!

I don't know how to handle this. I will try to find out.

Comment 2 Debarshi Ray 2019-02-01 13:12:38 UTC
I have submitted rebuilds for all three branches:
* Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=32418083
* F29: https://koji.fedoraproject.org/koji/taskinfo?taskID=32418120
* F28: https://koji.fedoraproject.org/koji/taskinfo?taskID=32418130

These should initially get staged in the candidate registry, and then move to the main registry in 2 weeks or so. Meanwhile, you could use the --candidate-registry flag with the fedora-toolbox tool.

Comment 3 Debarshi Ray 2019-02-01 13:37:40 UTC
The Rawhide and F29 builds failed. Here's another attempt:
* Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=32419275
* F29: https://koji.fedoraproject.org/koji/taskinfo?taskID=32419284

By the way, you seem to be using the toolbox a lot. I can give you access to https://src.fedoraproject.org/container/fedora-toolbox if you don't have it already.

Comment 4 Debarshi Ray 2019-02-01 14:02:07 UTC
The Rawhide build failed. Here's another attempt:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32420263

Comment 5 Debarshi Ray 2019-02-01 15:17:27 UTC
Sorry, should have been:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32422665

Comment 6 Fedora Update System 2019-02-18 14:05:55 UTC
fedora-toolbox-28-2 has been submitted as an update to Fedora 28 Containers. https://bodhi.fedoraproject.org/updates/FEDORA-CONTAINER-2019-0a1f789300

Comment 7 Fedora Update System 2019-02-18 14:05:58 UTC
fedora-toolbox-29-3 has been submitted as an update to Fedora 29 Containers. https://bodhi.fedoraproject.org/updates/FEDORA-CONTAINER-2019-1920601fb8

Comment 8 Fedora Update System 2019-02-19 07:08:33 UTC
fedora-toolbox-28-2 has been pushed to the Fedora 28 Containers testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-CONTAINER-2019-0a1f789300

Comment 9 Fedora Update System 2019-02-19 07:09:16 UTC
fedora-toolbox-29-3 has been pushed to the Fedora 29 Containers testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-CONTAINER-2019-1920601fb8

Comment 10 Fedora Update System 2019-02-22 03:20:29 UTC
fedora-toolbox-28-2 has been pushed to the Fedora 28 Containers stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-02-22 03:21:05 UTC
fedora-toolbox-29-3 has been pushed to the Fedora 29 Containers stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Jens Petersen 2019-03-04 02:12:47 UTC
(In reply to Debarshi Ray from comment #3)
> By the way, you seem to be using the toolbox a lot. I can give you access to
> https://src.fedoraproject.org/container/fedora-toolbox if you don't have it
> already.

Thanks sure - happy to help

Comment 13 Debarshi Ray 2019-03-04 14:14:28 UTC
(In reply to Jens Petersen from comment #12)
> (In reply to Debarshi Ray from comment #3)
> > By the way, you seem to be using the toolbox a lot. I can give you access to
> > https://src.fedoraproject.org/container/fedora-toolbox if you don't have it
> > already.
> 
> Thanks sure - happy to help

I am getting a bit lost in the web UI. I wonder if you can apply for access at https://src.fedoraproject.org/container/fedora-toolbox ?

Comment 14 Jens Petersen 2019-03-04 14:32:03 UTC
(In reply to Debarshi Ray from comment #13)
> I am getting a bit lost in the web UI. I wonder if you can apply for access
> at https://src.fedoraproject.org/container/fedora-toolbox ?

-> Settings -> Users and Groups -> add user

I think

Comment 15 Debarshi Ray 2019-03-05 11:18:31 UTC
Okay, done! That was easy. :)


Note You need to log in before you can comment on or make changes to this bug.